curl --request POST \
--url https://api.glass.fm/v2/action/glasscore/applicant \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"PersonId": 123,
"aliasNameFirst": "<string>",
"aliasNameLast": "<string>",
"applicationDate": "<string>",
"currentAddressYearStart": "<string>",
"georgia_race": "<string>",
"info": [
{
"OrderItemId": 123,
"descrip": "<string>",
"infoItem": [
{
"FeatureSetId": 123,
"AttributeId": "<string>",
"choice": "<string>",
"featureSetDescrip": "<string>",
"featureSetName": "<string>",
"InfoId": 123,
"PersonId": 123,
"valueDate": "<string>",
"valueFeatureId": 123,
"valueNumber": 123,
"valueText": "<string>"
}
],
"isSubmitted": 123,
"PersonId": 123,
"ProductId": 123
}
],
"priorAddressCity": "<string>",
"priorAddressCounty": "<string>",
"priorAddressState": "<string>",
"priorAddressStreetPrimary": "<string>",
"priorAddressStreetSecondary": "<string>",
"priorAddressYearEnd": "<string>",
"priorAddressYearStart": "<string>",
"priorAddressZip": "<string>",
"ssn": "<string>"
}
'import requests
url = "https://api.glass.fm/v2/action/glasscore/applicant"
payload = {
"PersonId": 123,
"aliasNameFirst": "<string>",
"aliasNameLast": "<string>",
"applicationDate": "<string>",
"currentAddressYearStart": "<string>",
"georgia_race": "<string>",
"info": [
{
"OrderItemId": 123,
"descrip": "<string>",
"infoItem": [
{
"FeatureSetId": 123,
"AttributeId": "<string>",
"choice": "<string>",
"featureSetDescrip": "<string>",
"featureSetName": "<string>",
"InfoId": 123,
"PersonId": 123,
"valueDate": "<string>",
"valueFeatureId": 123,
"valueNumber": 123,
"valueText": "<string>"
}
],
"isSubmitted": 123,
"PersonId": 123,
"ProductId": 123
}
],
"priorAddressCity": "<string>",
"priorAddressCounty": "<string>",
"priorAddressState": "<string>",
"priorAddressStreetPrimary": "<string>",
"priorAddressStreetSecondary": "<string>",
"priorAddressYearEnd": "<string>",
"priorAddressYearStart": "<string>",
"priorAddressZip": "<string>",
"ssn": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
PersonId: 123,
aliasNameFirst: '<string>',
aliasNameLast: '<string>',
applicationDate: '<string>',
currentAddressYearStart: '<string>',
georgia_race: '<string>',
info: [
{
OrderItemId: 123,
descrip: '<string>',
infoItem: [
{
FeatureSetId: 123,
AttributeId: '<string>',
choice: '<string>',
featureSetDescrip: '<string>',
featureSetName: '<string>',
InfoId: 123,
PersonId: 123,
valueDate: '<string>',
valueFeatureId: 123,
valueNumber: 123,
valueText: '<string>'
}
],
isSubmitted: 123,
PersonId: 123,
ProductId: 123
}
],
priorAddressCity: '<string>',
priorAddressCounty: '<string>',
priorAddressState: '<string>',
priorAddressStreetPrimary: '<string>',
priorAddressStreetSecondary: '<string>',
priorAddressYearEnd: '<string>',
priorAddressYearStart: '<string>',
priorAddressZip: '<string>',
ssn: '<string>'
})
};
fetch('https://api.glass.fm/v2/action/glasscore/applicant', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Create Applicant
Create a new Applicant
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Unique identifier assigned to each individual applicant.
Stores the first alias or nickname of the applicant.
Stores the last alias or nickname used by the applicant.
Records the date when the applicant submitted their application.
The year the applicant began residing at their current address.
Indicates the racial or ethnic identity of the applicant from Georgia.
Show child attributes
Show child attributes
The city of the applicant's previous residence.
The county of the applicant's previous address.
Represents the state of the previous address of the applicant.
Contains the main street name of the applicant's previous address.
Contains any additional information about the applicant's previous street address such as apartment or unit number.
Represents the year the applicant ended residency at their previous address.
Indicates the year the applicant began living at their previous address.
Contains the postal code of the applicant's previous residence.
Stores the unique Social Security Number of the applicant.
Response
Applicant

